apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: ingress-rules
  namespace: f2ds
  annotations:
   ingress.kubernetes.io/rewrite-target: /
   nginx.ingress.kubernetes.io/use-regex: "true"
spec:
  rules: 
  - host: f2ds.eosc-pillar.eu 
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          serviceName: ffds-register
          servicePort: 80
      - path: /app
        pathType: Prefix
        backend:
          serviceName: fdp-client
          servicePort: 80
      - path: /setting/*
        pathType: Prefix
        backend:
          serviceName: ffds-register-api
          servicePort: 80
      - path: /blazegraph/*
        pathType: Prefix
        backend:
          serviceName: blazegraph2
          servicePort: 8888
      - path: /harvester/*
        pathType: Prefix
        backend:
          serviceName: smartharvester
          servicePort: 8080
      - path: /tokens
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80
      - path: /catalog
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80
      - path: /dataset
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80
      - path: /distribution
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80                              
      - path: /users
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80       
      - path: /expanded
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80           
      - path: /spec
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80           
      - path: /info
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80           
      - path: /shapes
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80
      - path: /configs/*
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80
      - path: /dashboard
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
      - path: /memberships
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
      - path: /search
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80   
      - path: /members
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
       - path: /meta
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
       - path: /page
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
       - path: /resource-definitions
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
      - path: /profile
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
      - path: /settings
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
      - path: /index
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
      - path: /api-keys
        pathType: Prefix
        backend:
          serviceName: fdp-api
          servicePort: 80 
  tls:
  - hosts:
    - f2ds.eosc-pillar.eu
    secretName: ffds-tls
